/**
 * Created on 2 nov
 * @version 1.0
 */
package metacalendrier;

import java.io.IOException;

import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.XMLReaderFactory;
import java.util.*;
import metacalendrier.util.*;

/**
 * Lire un fichier XML contenant des evenements et les stocke dans une liste des objets Event
 *
 * @author said
 * @version 1.0
 */
public class XMLParser {
    
    private String uri;
    private SQL sql;
    
    /** Creates a new instance of XMLParser */
    public XMLParser(String uri, SQL sql) throws SAXException, IOException {
        this.uri = uri;
        this.sql = sql;
        XMLReader saxReader = XMLReaderFactory.createXMLReader("org.apache.xerces.parsers.SAXParser");
        saxReader.setContentHandler(new SimpleContentHandler());
        saxReader.parse(uri);
    }
    
    /**
     * Inserer des evenements dans la BDD
     *
     */
    public void parse() {
        ArrayList maliste = SimpleContentHandler.list;
        Event event = null;
        for (int i = 0; i < maliste.size(); i++) {
            event = (Event) maliste.get(i);
            //System.out.println(event);
            sql.insertRawEvent(event);
        }
    }
}
